Subject: Re: [PATCH 1/2] fb: add support for foreign endianness

From: Benjamin Herrenschmidt <[email-masked]>
Date: Sat, 16 Feb 2008 22:49:58 +1100

On Tue, 2008-02-05 at 18:44 +0300, Anton Vorontsov wrote:
> This patch adds support for the framebuffers with non-native
> endianness. This is done via FBINFO_FOREIGN_ENDIAN flag that will
> be used by the drivers. Depending on the host endianness this flag
> will be overwritten by FBINFO_BE_MATH internal flag, or cleared.
> 
> Tested to work on MPC8360E-RDK (BE) + Fujitsu MINT framebuffer (LE).

Good luck running X on that thing :-)

The base server seems to cope.. until you start using render operations
or that sort of things, and then things blow up. There's shitload of
stuff that seems to assume native fb endianness..

Ben.